// creator  : weidu.exe (version 23100)
// argument : _PRISM.DLG
// game		 : .
// source	 : ./override/_PRISM.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_PRISM~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #77214 /* ~Ahh, beauteous creature!  Never should I have stolen these emeralds, but there was nothing else that would capture the majesty of thine eyes!  I did what must be done, for I have left my shop, forgotten all my commissions, and spent all that I had.  I must complete thee!  Wait, there is someone here!  Who are you?  'Twas that relentless Greywolf who sent you, wasn't it?~ */
  IF ~~ THEN REPLY #77215 /* ~Aye... uh... Greywolf sent us, and you know why we've come... don't you?~ */ GOTO 2
  IF ~~ THEN REPLY #77216 /* ~I have nothing to do with anyone named Greywolf, and nor would I want to.~ */ GOTO 1
  IF ~Global("X#VicPrism1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicPrism1","GLOBAL",1)~ EXTERN ~_VICONJ~ 118
END

IF ~~ THEN BEGIN 1 // from: _VICONJ:118.1 0.1
  SAY #77217 /* ~Thank Deneir, I thought I was done in.  I am not cut out for a life on the run.  Mayhaps you could help a foolish sculptor finish this epiphany?  Please, guard this place, for surely Greywolf will come seeking the bounty on the gems.  I will pay with my last possessions if you would do this one service for me.~ */
  IF ~~ THEN REPLY #77218 /* ~If it is so important, then I shall guard you as best I can. Yes.~ */ GOTO 4
  IF ~~ THEN REPLY #77219 /* ~Your safety is no concern of mine.  I don't fancy trying to get between a bounty hunter and his bounty.~ */ GOTO 5
  IF ~~ THEN REPLY #77220 /* ~Perhaps you should fear me more than Greywolf. Perhaps I am seeking the bounty as well.~ */ GOTO 2
  IF ~Global("X#ImoenPrism","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenPrism","GLOBAL",1)~ EXTERN ~_IMOEN2~ 217
END

IF ~~ THEN BEGIN 2 // from: _VICONJ:118.0 1.2 0.0
  SAY #77221 /* ~You'll not take me yet, I beseech thee!  I admit I stole the gems, but better they are the eyes of a work of love than a fat woman's tawdry trinket.  I will give you all else that is mine, if you would but forget my crime.~ */
  IF ~~ THEN REPLY #77222 /* ~All that is yours, eh?  So be it.~ */ GOTO 4
  IF ~~ THEN REPLY #77223 /* ~"All else that is yours" does not concern me.  I'm taking you and the gems to the guard, where I shall get a hefty reward.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #77224 /* ~I am no warrior, but I have little other choice.  If you wish to stop my work, then it is my life that you must cease!  I care not if I cannot finish my work!  With my last breath I shall curse thee!  May your soul know the same unrest as mine!~ */
  IF ~  OR(3)
!InParty("ajantis")
!InMyArea("ajantis")
StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~Enemy()
~ EXIT
  IF ~  InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
Global("X#AjantisProtectPrism","GLOBAL",0)
~ THEN EXTERN ~_AJANTJ~ 88
END

IF ~~ THEN BEGIN 4 // from: 2.0 1.0
  SAY #77225 /* ~I thank you, for I cannot run from this place until my task is done.  I have been using potions of speed to aid my work, and have not slept for days.  She is beautiful, is she not?  'Tis a monument to my foolishness.  I saw her but once, on the outskirts of Evereska, and said nothing.  I let thee pass from mine eyes, and mine heart hath cursed me for it!~ */
  IF ~~ THEN DO ~CreateCreature("_GREYWO",[1267.2579],0)
ClearAllActions()
StartCutSceneMode()
StartCutScene("_RISMCUT")
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.1
  SAY #77248 /* ~Then begone, for I've much work to do.  She will be done this day!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #77249 /* ~No!  Not yet!  My work is nearly done!  Please, I implore you!~ */
  IF ~~ THEN EXTERN ~_GREYWO~ 2
END

IF ~Dead("greywolf")
~ THEN BEGIN 7 // from:
  SAY #77250 /* ~Alas, my work is complete.  Take what you will from my possessions, but leave the sparkle in her eyes.  O sweet creature, My effigy to thee is done.  Perhaps our paths shall cross in distant Realms, and I shall find the courage to call thy name.  Ellesime!~ */
  IF ~~ THEN DO ~DialogueInterrupt(FALSE)
AddexperienceParty(1000)
ReputationInc(1)
MoveToPoint([781.2710])
DropInventory()
Kill("prism")
~ UNSOLVED_JOURNAL #77251 /* ~Prism the sculptor

Prism's story was a sad tale indeed.  At least he completed what he felt he must -- a happy result, of a sort.~ */ EXIT
  IF ~Global("X#GarPri","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarPri","GLOBAL",1)~ EXTERN ~_GARRIJ~ 103
END

IF ~~ THEN BEGIN 8 // from:
  SAY #77252 /* ~Alas, I shall not rest, for 'twas all for naught.  Ellesime!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #77253 /* ~Noooo... stay back!~ */
  IF ~~ THEN DO ~GiveItem("_MISC43","greywolf")
~ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #99487 /* ~No! I have to finish my work! Ellesime!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #100144 /* ~As it has stolen mine. Farewell...~ */
  IF ~~ THEN DO ~DialogueInterrupt(FALSE)
AddexperienceParty(1000)
ReputationInc(1)
MoveToPoint([781.2710])
DropInventory()
Kill("prism")
~ UNSOLVED_JOURNAL #77251 /* ~Prism the sculptor

Prism's story was a sad tale indeed.  At least he completed what he felt he must -- a happy result, of a sort.~ */ EXIT
END
